AMD_DBGAPI: Versioning

AMD_DBGAPI 0.64.0

Macros | Functions
Versioning

Version information about the interface and the associated installed library. More...

## Macros
#define | AMD_DBGAPI_VERSION_MAJOR 0
| The semantic version of the interface following [semver.org][semver] rules. More...
#define | AMD_DBGAPI_VERSION_MINOR 64
| The minor version of the interface as a macro so it can be used by the preprocessor. More...

## Functions
void AMD_DBGAPI | amd_dbgapi_get_version (uint32_t *major, uint32_t *minor, uint32_t *patch) AMD_DBGAPI_VERSION_0_54
| Query the version of the installed library. More...
const char AMD_DBGAPI * | amd_dbgapi_get_build_name (void) AMD_DBGAPI_VERSION_0_54
| Query the installed library build name. More...

## Detailed Description

Version information about the interface and the associated installed library.

## Macro Definition Documentation

## ◆ AMD_DBGAPI_VERSION_MAJOR

#define AMD_DBGAPI_VERSION_MAJOR 0

The semantic version of the interface following [semver.org][semver] rules.

A client that uses this interface is only compatible with the installed library if the major version numbers match and the interface minor version number is less than or equal to the installed library minor version number. The major version of the interface as a macro so it can be used by the preprocessor.

## ◆ AMD_DBGAPI_VERSION_MINOR

#define AMD_DBGAPI_VERSION_MINOR 64

The minor version of the interface as a macro so it can be used by the preprocessor.

## Function Documentation

## ◆ amd_dbgapi_get_build_name()

const char AMD_DBGAPI* amd_dbgapi_get_build_name | ( | void |  | ) |

Query the installed library build name.

This function can be used even when the library is not initialized.

Returns
  Returns a string describing the build version of the library. The string is owned by the library.

## ◆ amd_dbgapi_get_version()

void AMD_DBGAPI amd_dbgapi_get_version | ( | uint32_t * | major,
|  | uint32_t * | minor,
|  | uint32_t * | patch
| ) |  |

Query the version of the installed library.

Return the version of the installed library. This can be used to check if it is compatible with this interface version. This function can be used even when the library is not initialized.

Parameters

  [out] | major | The major version number is stored if non-NULL.
  [out] | minor | The minor version number is stored if non-NULL.
  [out] | patch | The patch version number is stored if non-NULL.